%define version	1.0.1
%define release	%mkrel 4

%define scim_version	1.4.0
%define prime_version	1.0.0.1

Name:		scim-prime
Summary:	SCIM IMEngine module for prime
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPLv2+
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	http://sourceforge.jp/projects/scim-imengine/downloads/29156/%{name}-%{version}.tar.gz
Patch0:		scim-prime-1.0.1-linkage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:		%{_lib}scim-prime0
Requires:		prime >= %{prime_version}
Requires:		scim-client = %{scim_api}
BuildRequires:		prime-devel >= %{prime_version}
BuildRequires:		scim-devel >= 1.4.7-4mdk
BuildRequires:		automake, libltdl-devel

%description
Scim-prime is an SCIM IMEngine module for prime.
It supports Japanese input.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{scim_plugins_dir}/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun  -p /sbin/ldconfig
%endif


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{scim_plugins_dir}/IMEngine/*.so
%{scim_plugins_dir}/SetupUI/*.so


%changelog
* Sat Feb 14 2009 Funda Wang <fundawang@mandriva.org> 1.0.1-4mdv2009.1
+ Revision: 340203
- fix linkage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Apr 19 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 195807
- fix requires on scim-client

* Fri Mar 14 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 187770
- New version 1.0.1

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-3mdv2008.1
+ Revision: 171099
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 11 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 62094
- Rebuild


* Thu Feb 23 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Sat Jan 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.2-1mdk
- new release

* Thu Dec 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-1mdk
- new release

* Tue Nov 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdk
- new release

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.10-1mdk
- new release

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.8-1mdk
- new release

* Tue Jul 19 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.6-2mdk
- Rebuild for new scim

* Wed Jun 22 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.6-1mdk
- New release 0.2.6

* Mon Jun 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.2-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.2-2mdk
- Rebuild for new scim

* Fri Apr 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.2-1mdk
- new release

* Sat Apr 23 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-1mdk
- new release

* Mon Apr 11 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- latest snapshot

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.20050308.1mdk
- first spec for mdk

